NL_LANGINFO(3C)

NAME
nl_langinfo - language information

SYNOPSIS

#include <nl_types.h>
#include <langinfo.h>

char *nl_langinfo(item)
nl_item item;

DESCRIPTION

nl_langinfo() returns a pointer to a null-terminated string containing information relevant to a particular language or cultural area defined in the program's locale. The manifest constant names and values of item are defined in <langinfo.h> . For example:

    nl_langinfo(ABDAY_1);

would return a pointer to the string `Dom' if the identified language was Portuguese, and `Sun' if the identified language was English.

RETURN VALUES
In a locale where langinfo data is not defined, nl_langinfo() returns a pointer to the corresponding string in the "C" locale. In all locales nl_langinfo() returns a pointer to an empty string if item contains an invalid setting.

SEE ALSO
setlocale(3V), environ(5V)